| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_REMOVE_D

BOOST_VMD_TUPLE_REMOVE_D — removes an element from a tuple. It reenters BOOST_PP_WHILE with maximum efficiency.

## Synopsis

    // In header: <boost/vmd/tuple/remove.hpp>

    BOOST_VMD_TUPLE_REMOVE_D(d, tuple, index)

## Description

d = The next available BOOST_PP_WHILE iteration. tuple = tuple from which an element is to be removed. index = The zero-based position in tuple of the element to be removed.

If index is greater or equal to the tuple size the result is undefined. If the tuple is a single element and the index is 0 the result is an empty tuple. Otherwise the result is a tuple after removing the index element.